All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExportLevel

All Superinterfaces:
  ExportObject<com.sas.iquery.metadata.physical.Level,ExportLevel>, NamedObjectInterface

    public interface ExportLevel

extends ExportObject<com.sas.iquery.metadata.physical.Level,ExportLevel>

Export of a IQ Level object.

Method Summary
`abstract ExportColumn` | `getColumn()` returns the export column object that contains the values of this level used to build members.
`abstract int` | `getExpressionType()`
`abstract java.lang.String` | `getLevelCaption()`
`abstract int` | `getLevelNumber()`
`abstract java.util.List<ExportMember>` | `getMembers()` returns the member export objects for this level.
`abstract ExportDimension` | `getOwningDimension()` Get the owning dimension of this exported object.
`abstract ExportHierarchy` | `getOwningHierarchy()`
`abstract java.lang.String` | `getSasFormat()`
`abstract java.lang.String` | `getText()`

Methods inherited from interface com.sas.iquery.metadata.business.ExportObject
`getDescription, getExportMetadata, getExportObjectFactory, getID, getLabel, getUnderlyingObject, getUniqueExportName`

Method Detail

### getOwningDimension

    ExportDimension getOwningDimension()
                                       throws MetadataException

  Get the owning dimension of this exported object.

  Returns:
  Throws:
    `MetadataException`

### getColumn

    ExportColumn getColumn()
                           throws MetadataException

  returns the export column object that contains the values of this level used to build members.

  Returns:
  Throws:
    `MetadataException`

### getOwningHierarchy

    ExportHierarchy getOwningHierarchy()

  Returns:
    Returns the owningHierarchy.

### getMembers

    java.util.List<ExportMember> getMembers()
                                            throws MetadataException

  returns the member export objects for this level.

  Returns:
  Throws:
    `MetadataException`

### getText

    java.lang.String getText()
                             throws MetadataException

  Throws:
    `MetadataException`

### getLevelNumber

    int getLevelNumber()
                       throws MetadataException

  Throws:
    `MetadataException`

### getLevelCaption

    java.lang.String getLevelCaption()
                                     throws MetadataException

  Throws:
    `MetadataException`

### getSasFormat

    java.lang.String getSasFormat()
                                  throws MetadataException

  Throws:
    `MetadataException`

### getExpressionType

    int getExpressionType()
                          throws MetadataException

  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.